- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | Protected Member Functions

# QStyleOptionTabWidgetFrame Class Reference

Search for all occurrences

## Detailed Description

Definition at line 175 of file qstyleoption.h.

`#include <qstyleoption.h>`

Inheritance diagram for QStyleOptionTabWidgetFrame:
[legend]

List of all members.

## Public Types
enum | StyleOptionType { Type = SO_TabWidgetFrame }
enum | StyleOptionVersion { Version = 1 }
## Public Member Functions
| QStyleOptionTabWidgetFrame ()
| QStyleOptionTabWidgetFrame (const QStyleOptionTabWidgetFrame &other)
## Public Attributes
int | lineWidth
int | midLineWidth
QTabBar::Shape | shape
QSize | tabBarSize
QSize | rightCornerWidgetSize
QSize | leftCornerWidgetSize
## Protected Member Functions
| QStyleOptionTabWidgetFrame (int version)

## Member Enumeration Documentation

enum StyleOptionType

Search for all occurrences

Enumerator:

  Type | Search for all occurrences

Reimplemented from QStyleOption.

Definition at line 178 of file qstyleoption.h.

    { Type = SO_TabWidgetFrame };

enum StyleOptionVersion

Search for all occurrences

Enumerator:

  Version | Search for all occurrences

Reimplemented from QStyleOption.

Reimplemented in QStyleOptionTabWidgetFrameV2.

Definition at line 179 of file qstyleoption.h.

    { Version = 1 };

## Constructor & Destructor Documentation

QStyleOptionTabWidgetFrame | ( |  | ) |

QStyleOptionTabWidgetFrame | ( | const QStyleOptionTabWidgetFrame & | other | ) | `[inline]`

Definition at line 189 of file qstyleoption.h.

            : QStyleOption(Version, Type) { *this = other; }

QStyleOptionTabWidgetFrame | ( | int | version | ) | `[protected]`

## Member Data Documentation

int lineWidth

Search for all occurrences

Definition at line 181 of file qstyleoption.h.

int midLineWidth

Search for all occurrences

Definition at line 182 of file qstyleoption.h.

QTabBar::Shape shape

Search for all occurrences

Definition at line 183 of file qstyleoption.h.

QSize tabBarSize

Search for all occurrences

Definition at line 184 of file qstyleoption.h.

QSize rightCornerWidgetSize

Search for all occurrences

Definition at line 185 of file qstyleoption.h.

QSize leftCornerWidgetSize

Search for all occurrences

Definition at line 186 of file qstyleoption.h.

The documentation for this class was generated from the following file:

- QtGui/qstyleoption.h

QStyleOptionTabWidgetFrame QStyleOptionTabWidgetFrame QStyleOptionTabWidgetFrame QStyleOptionTabWidgetFrame QStyleOptionTabWidgetFrame QStyleOptionTabWidgetFrame QStyleOptionTabWidgetFrame QStyleOptionTabWidgetFrame QStyleOptionTabWidgetFrame QStyleOptionTabWidgetFrame
QStyleOptionTabWidgetFrame QStyleOptionTabWidgetFrame QStyleOptionTabWidgetFrame QStyleOptionTabWidgetFrame QStyleOptionTabWidgetFrame QStyleOptionTabWidgetFrame QStyleOptionTabWidgetFrame QStyleOptionTabWidgetFrame QStyleOptionTabWidgetFrame QStyleOptionTabWidgetFrame